/*
Copyright (C) 2014 Graham Jones, www.indriid.com
*/

package stacey.util;

/**
 * Created by Graham Jones on 03/11/2014.
 */


/*
This is used by operator FocusedNodeHeightScaler to pass information
from the smcTree node chosen as focus to the gene trees so they can
calculate distances from the focus.

This is used first, FSMoveSMCNodeInfo is used later in the calculation
for the move.

 */
public class FSMoveSMCNodeUnions {
    private final BitUnion nodeUnion;
    private final BitUnion lftUnion;
    private final BitUnion rgtUnion;


    public FSMoveSMCNodeUnions(BitUnion nodeUnion, BitUnion lftUnion, BitUnion rgtUnion) {
        this.nodeUnion = nodeUnion;
        this.lftUnion = lftUnion;
        this.rgtUnion = rgtUnion;

    }


    public BitUnion getNodeUnion() { return nodeUnion; }
    public BitUnion getLftUnion() { return lftUnion; }
    public BitUnion getRgtUnion() { return rgtUnion; }

}
