/*
Copyright (C) 2014 Graham Jones, www.indriid.com
*/
package stacey.util;

import java.lang.reflect.Array;
import java.util.Arrays;

/**
 * Created by Graham Jones on 02/11/2014.
 */
public class InverseGammaMixture {
    private final double [] weights;
    private final double [] alphas;
    private final double [] betas;

    public InverseGammaMixture(int ncs) {
        weights = new double[ncs];
        alphas = new double[ncs];
        betas = new double[ncs];
    }

    public void setWeight(int c, double weight) {
        weights[c] = weight;
    }

    public void setAlpha(int c, double alpha) {
        alphas[c] = alpha;
    }

    public void setBeta(int c, double beta) {
        betas[c] = beta;
    }


    public double [] getWeights() {
        return Arrays.copyOf(weights, weights.length);
    }


    public double[] getAlphas() {
        return Arrays.copyOf(alphas, alphas.length);
    }


    public double[] getBetas() {
        return Arrays.copyOf(betas, betas.length);
    }
}
